From: <a href="/blend/av.cgi?id=2040">blessedbe</a><BR>
Date: 29 April 2010<P>

Just L, about <a href="/blend/wv.cgi?id=2010.12.14.00.43.22375">Lucky 13</a>:<BR>
<BR>
I see your jabs on fb and I can't believe you're (still) airing your dirty laundry for everyone to see? What do you tell people to explain the fact that he was living with another woman the entire time you've been with him and fucking several others? Do you further his audacious idea that he was being coerced? By all of us? Do you know about the dungeons??? I think that was the only place he was ever being coerced and that was by choice...<BR>
<BR>
I don't know who you're referring to on fb and I can only speak for myself. I can tell you that I am not jealous. I know the man that sleeps in your bed at night and I do not envy you. He (EMA) is a man capable of such levels of deception that defy all sanity, and seeing that he has absolutely no remorse for his actions proves to me that his is truly a psychopath (look up the definition online, he fits all the requirements). Really you should.<BR>
<BR>
And my life is certainly not small...which was why I never really wanted him in it for real, despite his repeated requests for my commitment. I have a full life of honest people that are kind and self-less and he was a cancer that invaded and attached himself to me and nearly killed me.<BR>
<BR>
No JustL, I am not jealous, I am angry. I am angry because I never forced him to be with me. I never coerced him or gave him any reason to lie to me. But he did...every day, just as he lied to both of you every day. You might have known about her (?), but you didn't know about me. No one did. I was his best kept secret and if you knew the truth about the things he did to me (instead of believing his lies), you would be abhorred and not so eager to let him lie in your bed each night.<BR>
<BR>
Coming to this site I see her words to you and yours to her and it makes me sad for both of you. You say your 48 years have been graced with generous amounts of truth, beauty, happiness, and love? I can see in your writings last year that is not true. You're sadness is palpable as is your mistrust (rightly so) and your pain. I only hope that he's done being an unfaithful, lying whore.<BR>
<BR>
I read your Easter post and it made me smile. Nice to think of him happy, truly and finally after three years of nearly constant misery (or at least he played it that way for my sympathy). And it also made me laugh to think of you with your three kids... He always was a mommas boy.<BR>
<BR>
No Just L, I am not jealous, and my life isn't small. I am angry and I deserve to be angry after what he's put me through and I will continue to be angry until I feel that justice has been served. He (and you) tried to ruin me and left a mark on my record that I did not deserve.<BR>
<BR>
Another thing I find funny (or sad for you), is that the night before you wrote this little ditty, he wasn't with either of you. He was with me.<BR>
<BR>
My cell phone documents our history too...
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 29 April 2011<P>

twisted lie, i wish he weren't.
<HR>
From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 29 April 2011<P>

To my beautiful Love Blender family of 14 years. I apologize for Blessed Be's inappropriate public outbursts. <BR>
<BR>
I have a menace, a stalker who assumes my world and writings revolve around her.<BR>
<BR>
I do not know what one-woman battle she is fighting, but it isn't my fight.<BR>
<BR>
<BR>

<HR>